Package com.fasterxml.jackson.dataformat.xml.ser

## Class XmlBeanPropertyWriter

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.ConcreteBeanPropertyBase
  - - com.fasterxml.jackson.databind.ser.PropertyWriter
    - - com.fasterxml.jackson.databind.ser.BeanPropertyWriter
      - - com.fasterxml.jackson.dataformat.xml.ser.XmlBeanPropertyWriter

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.BeanProperty`, `com.fasterxml.jackson.databind.util.Named`, `java.io.Serializable`

    public class XmlBeanPropertyWriter
    extends com.fasterxml.jackson.databind.ser.BeanPropertyWriter

Property writer sub-class used for handling element wrapping needed for serializing collection (array, Collection; possibly Map) types.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.BeanProperty

`com.fasterxml.jackson.databind.BeanProperty.Bogus, com.fasterxml.jackson.databind.BeanProperty.Std`

### Field Summary

Fields
`protected javax.xml.namespace.QName` `_wrappedQName` Element name used for items in the collection
`protected javax.xml.namespace.QName` `_wrapperQName` Element name used as wrapper for collection.

### Fields inherited from class com.fasterxml.jackson.databind.ser.BeanPropertyWriter

`_accessorMethod, _cfgSerializationType, _contextAnnotations, _declaredType, _dynamicSerializers, _field, _includeInViews, _internalSettings, _member, _name, _nonTrivialBaseType, _nullSerializer, _serializer, _suppressableValue, _suppressNulls, _typeSerializer, _wrapperName, MARKER_FOR_EMPTY`

### Fields inherited from class com.fasterxml.jackson.databind.introspect.ConcreteBeanPropertyBase

`_aliases, _metadata`

### Fields inherited from interface com.fasterxml.jackson.databind.BeanProperty

`EMPTY_FORMAT, EMPTY_INCLUDE`

### Constructor Summary

Constructors
`XmlBeanPropertyWriter​(com.fasterxml.jackson.databind.ser.BeanPropertyWriter wrapped, com.fasterxml.jackson.databind.PropertyName wrapperName, com.fasterxml.jackson.databind.PropertyName wrappedName)`
`XmlBeanPropertyWriter​(com.fasterxml.jackson.databind.ser.BeanPropertyWriter wrapped, com.fasterxml.jackson.databind.PropertyName wrapperName, com.fasterxml.jackson.databind.PropertyName wrappedName, com.fasterxml.jackson.databind.JsonSerializer<java.lang.Object> serializer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `serializeAsField​(java.lang.Object bean, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider prov)` Overridden version so that we can wrap output within wrapper element if and as necessary.

### Methods inherited from class com.fasterxml.jackson.databind.ser.BeanPropertyWriter

`_depositSchemaProperty, _findAndAddDynamic, _handleSelfReference, _new, assignNullSerializer, assignSerializer, assignTypeSerializer, depositSchemaProperty, depositSchemaProperty, fixAccess, get, getAnnotation, getContextAnnotation, getFullName, getGenericPropertyType, getInternalSetting, getMember, getName, getPropertyType, getRawSerializationType, getSerializationType, getSerializedName, getSerializer, getType, getTypeSerializer, getViews, getWrapperName, hasNullSerializer, hasSerializer, isUnwrapping, removeInternalSetting, rename, serializeAsElement, serializeAsOmittedField, serializeAsPlaceholder, setInternalSetting, setNonTrivialBaseType, toString, unwrappingWriter, willSuppressNulls, wouldConflictWithName`

### Methods inherited from class com.fasterxml.jackson.databind.ser.PropertyWriter

`findAnnotation`

### Methods inherited from class com.fasterxml.jackson.databind.introspect.ConcreteBeanPropertyBase

`findAliases, findFormatOverrides, findPropertyFormat, findPropertyInclusion, getMetadata, isRequired, isVirtual`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _wrapperQName

    protected final javax.xml.namespace.QName _wrapperQName

Element name used as wrapper for collection.

#### _wrappedQName

    protected final javax.xml.namespace.QName _wrappedQName

Element name used for items in the collection

### Constructor Detail

#### XmlBeanPropertyWriter

    public XmlBeanPropertyWriter​(com.fasterxml.jackson.databind.ser.BeanPropertyWriter wrapped,
                                 com.fasterxml.jackson.databind.PropertyName wrapperName,
                                 com.fasterxml.jackson.databind.PropertyName wrappedName)

#### XmlBeanPropertyWriter

    public XmlBeanPropertyWriter​(com.fasterxml.jackson.databind.ser.BeanPropertyWriter wrapped,
                                 com.fasterxml.jackson.databind.PropertyName wrapperName,
                                 com.fasterxml.jackson.databind.PropertyName wrappedName,
                                 com.fasterxml.jackson.databind.JsonSerializer<java.lang.Object> serializer)

### Method Detail

#### serializeAsField

    public void serializeAsField​(java.lang.Object bean,
                                 com.fasterxml.jackson.core.JsonGenerator jgen,
                                 com.fasterxml.jackson.databind.SerializerProvider prov)
                          throws java.lang.Exception

Overridden version so that we can wrap output within wrapper element if and as necessary.

Overrides:
  `serializeAsField` in class `com.fasterxml.jackson.databind.ser.BeanPropertyWriter`
Throws:
  `java.lang.Exception`